/* eslint-disable no-magic-numbers */
import { useAppSelector } from '@/redux/hooks/useAppSelector';
import {
  elementAnnotationsSelector,
  loadingStatisticsSelector,
} from '@/redux/statistics/statistics.selectors';
import { CheckboxFilter } from '../../CheckboxFilter';
import { CollapsibleSection } from '../../CollapsibleSection';

export const Annotations = (): React.ReactNode => {
  const loadingStatistics = useAppSelector(loadingStatisticsSelector);
  const elementAnnotations = useAppSelector(elementAnnotationsSelector);
  const isPending = loadingStatistics === 'pending';

  const mappedElementAnnotations = elementAnnotations
    ? Object.keys(elementAnnotations)?.map(el => ({ id: el, label: el }))
    : [];

  return (
    <CollapsibleSection title="Select annotations">
      {isPending && <p>Loading...</p>}
      {!isPending && mappedElementAnnotations && mappedElementAnnotations.length > 0 && (
        <CheckboxFilter options={mappedElementAnnotations} />
      )}
    </CollapsibleSection>
  );
};
