import { DrawerHeading } from '@/shared/DrawerHeading';
import { useState } from 'react';
import { TabNavigator } from './TabNavigator';
import { Elements } from './Elements';
import { TAB_NAMES } from './TabNavigator/TabNavigator.constants';
import { TabNames } from './TabNavigator/TabNavigator.types';

export const ExportDrawer = (): React.ReactNode => {
  const [activeTab, setActiveTab] = useState<TabNames>(TAB_NAMES.ELEMENTS);

  const handleTabChange = (tabName: TabNames): void => {
    setActiveTab(tabName);
  };

  return (
    <div data-testid="export-drawer" className="h-full max-h-full">
      <DrawerHeading title="Export" />
      <div className="h-[calc(100%-93px)] max-h-[calc(100%-93px)] overflow-y-auto px-6">
        <TabNavigator activeTab={activeTab} onTabChange={handleTabChange} />
        {activeTab === TAB_NAMES.ELEMENTS && <Elements />}
      </div>
    </div>
  );
};
